<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<form class="ls-form">

  <div class="modal-header">
    <h4
      class="modal-title overflow-hidden text-overflow-ellipsis text-nowrap"
      id="modal-basic-title">
      {{ipngMessage.LINK_DESKBOX_POPUP_TITLE}} "{{deskbox | ipngDeskboxName}}"
    </h4>
    <button
      type="button"
      class="btn-close"
      [title]="commonMessages.CLOSE"
      (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
    </button>
  </div>

  <div class="modal-body">

    <div class="mt-4 mx-3">

      <h4>{{ ipngMessage.LINK_DESKBOX_LINK_DESK_TITLE }} "{{deskbox | ipngDeskboxName}}"</h4>

      <app-desk-search-input
        [desks]="!!selectedDesk ? [selectedDesk] : []"
        [multiple]="false"
        [clearable]="false"
        (desksChange)="updateDeskbox($event)"
        [genericValidatorsAvailable]="false"
        [retrieveDeskFunction]="retrieveDesksAsAdminFn">
      </app-desk-search-input>

    </div>

  </div>

  <div class="modal-footer">
    <button
      ls-button-cancel
      (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
    </button>
    <button
      ls-button-save
      [processing]="isProcessing"
      (click)="validate()"
      [disabled]="!selectedDesk"
      [icon]="commonIcons.SAVE_ICON">
    </button>
  </div>

</form>
